%{!?python3_pkgversion:%global python3_pkgversion 3}

# EL7 does not have a new enough python-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 7
%global with_python2 0
%else
%global with_python2 1
%endif

%global module tscli
%global name transtats-cli
%global name_with_underscore transtats_cli
%global sum Transtats command line interface to query transtats server
%global project transtats

Name:           %{name}
Version:        0.1.0
Release:        3%{?dist}
Summary:        %{sum}
License:        ASL 2.0
URL:            https://github.com/%{project}/%{name}
Source0:        https://github.com/%{project}/%{name}/archive/%{version}.tar.gz

BuildArch:      noarch

%description
Transtats command line interface to query transtats server.

%if 0%{?with_python2}
%package -n python2-%{name}
BuildRequires: python2-devel
BuildRequires: python2-setuptools
Requires:  python2-click
Requires:  python2-requests
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
Transtats command line interface to query transtats server.
%endif

%package -n python%{python3_pkgversion}-%{name}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-click
Requires:  python%{python3_pkgversion}-requests
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}

%description -n python%{python3_pkgversion}-%{name}
Transtats command line interface to query transtats server.


%prep
%autosetup
rm -rf *.egg-info

%build
%if 0%{?with_python2}
%py2_build
%endif
%py3_build

%install
%if 0%{?with_python2}
%py2_install
%endif
%py3_install

%if 0%{?with_python2}
%files -n python2-%{name}
%doc README.md transtats.conf.example
%license LICENSE
%{_bindir}/%{project}
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_mandir}/man1/transtats.1.gz
%endif

%files -n python%{python3_pkgversion}-%{name}
%doc README.md transtats.conf.example
%license LICENSE
%{_bindir}/%{project}
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_mandir}/man1/transtats.1.gz


%changelog
* Wed Sep 13 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-3
- Add man page to transtats-cli

* Tue Sep 12 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-2
- Update Spec file for py2 and py3

* Thu Sep 07 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-1
- Initial RPM Packaging
